Bug 1564948 - Satellite 6: Unable to search/find the hosts which are not having the "puppetmaster/puppet_ca" assigned.
Summary: Satellite 6: Unable to search/find the hosts which are not having the "puppet...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hosts
Version: 6.2.14
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-09 02:30 UTC by vijsingh
Modified: 2019-08-12 16:29 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-10 01:24:36 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description vijsingh 2018-04-09 02:30:10 UTC
Description of problem:

Satellite 6: Unable to search/find the hosts which are not having the puppetmaster/puppet_ca assigned 

Version-Release number of selected component (if applicable):

Satellite 6.2.14

How reproducible:

Always

Steps to Reproduce:
1. Search hosts on GUI/CLI using below search before register a new host:

 e.g.
  puppet_ca != satellite.example.com
  puppetmaster != satellite.example.com


  Note: replace satellite.example.com with actual Satellite hostname
  
2. Now try to register a fresh system which is not having the puppet_ca/puppetmaster assigned to it.

3. Now Search hosts on GUI/CLI using below search again:

 e.g.
  puppet_ca != satellite.example.com
  puppetmaster != satellite.example.com


 Note: replace satellite.example.com with actual Satellite hostname

Actual results:

 Unable to see the any hosts in search.

Expected results:

 All hosts should show where "satellite.example.com" is not assigned as puppet_ca/puppetmaster.

Additional info:


Note You need to log in before you can comment on or make changes to this bug.